> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udexpansionpanelgroup.md).

# New-UDExpansionPanelGroup

### Sinopsis

El componente de panel de expansión permite al usuario mostrar y ocultar secciones de contenido relacionado en una página.

### Sintaxis

```powershell
New-UDExpansionPanelGroup [-Id <String>] [[-Children] <ScriptBlock>] [-Type <String>] [-ClassName <String>] [<CommonParameters>]
```

### Descripción

Crea un grupo de paneles de expansión. Use New-UDExpansionPanel para crear elementos secundarios para un grupo.

### Parámetros

#### -Id

El ID del componente. De forma predeterminada, es un GUID aleatorio.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Paneles de expansión que se incluirán en este grupo.

```
Required?                    false
Position?                    1
Default value                {}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type

El tipo de grupo de paneles de expansión.

```
Required?                    false
Position?                    named
Default value                Expandable
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una clase CSS que se aplicará al grupo de paneles de expansión.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Salidas

\-------------------------- EJEMPLO 1 --------------------------

```
PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup1' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Active -Id 'expansionPanel1'
PS >     New-UDExpansionPanel -Title "Hello" -Content {
PS >         New-UDElement -Tag 'div' -Content { "Hello" }
PS >     } -Id 'expansionPanel2'
PS >     New-UDExpansionPanel -Title "Hello" -Content {
PS >        New-UDElement -Tag 'div' -id 'expEndpointDiv' -Content { "Hello" }
PS >     } -Id 'expansionPanel3'
PS > }

Expansion Panel|Creates an expansion panel group.




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup3' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel6'
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel7'
PS > } -Type 'Accordion'

Accordion|Creates an accordion style expansion panel group.




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDExpansionPanelGroup -Id 'expandsionPanelGroup4' -Children {
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'Users') -Id 'expansionPanel8'
PS >     New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'User') -Id 'expansionPanel9'
PS > }

Icons|Creates an expansion panel group with icons.

[Component("Expansion Panel", "Expand", "Creates a new card.")]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udexpansionpanelgroup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
